<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useDataTable](./react.usedatatable.md)

## useDataTable() function

<b>Signature:</b>

```typescript
export declare function useDataTable(id: string | undefined, workflow?: Workflow, existingTable?: ColumnTable): ColumnTable | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  id | string \| undefined |  |
|  workflow | Workflow | <i>(Optional)</i> |
|  existingTable | ColumnTable | <i>(Optional)</i> |

<b>Returns:</b>

ColumnTable \| undefined

